.login {
  min-height: 100vh;
  overflow-y: hidden;
  background-color: $white;

  &-title {
    min-height: 20vh;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    > h4 {
      color: $blue;
      //   font-size: 2.3rem;
      font-weight: 700;
      text-transform: uppercase;
      letter-spacing: 6px;
    }
  }

  &-form {
    border-radius: 5px;
    padding: 4rem 2rem;
    svg,
    rect {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      fill: transparent;
    }

    svg {
      rect {
        stroke-width: 3;
        stroke: $blue;
        stroke-dasharray: 411;
        transition: all 1.4s ease-in-out;
        border-radius: 2px;
      }
    }
    &:hover {
      svg > rect {
        stroke-dasharray: 1650;
      }
    }
    .button-box {
      @include flex-center-center;
      > button {
        background-color: transparent;
        padding: 1rem 2rem;
        border: 2px solid $pink;
        position: relative;
        z-index: 0;
        transition: all 0.3s ease-in-out;
        cursor: pointer;
        > span {
          font-weight: 700 !important;
        }
        &::before,
        &::after {
          @include before;
          left: 50%;
          top: 0;
          transform: translateX(-50%);
          height: 100%;
          background-color: $pink;
          width: 0px;
          transition: all 0.3s ease-in-out;
          z-index: -1;
        }
        &:hover {
          color: $white;
          &::before,
          &::after {
            width: 100%;
          }
        }
      }
    }
  }
}
